<?php
/*
Plugin Name: Twitter Tools URL plugin for Rev Canonical URLs
Description: Plugin for Twitter Tools that generates a canonical short URL for twitter if RevCanonical is installed
or returns the full permalink URL.
Author: V. J. Franke
Version: 1.1.2
Author URI: http://www.cult-of-tech.net
Plugin URI: http://www.cult-of-tech.net/p8q
*/ 

function my_shorter_url( $link ) {
	if (function_exists('revcanonical_shorten') ) {
		$ID = url_to_postid( $link );
		if( $nlink = revcanonical_shorten($ID) ) {
			return $nlink;
		}
	}
	return $link;
}

add_filter('tweet_blog_post_url', 'my_shorter_url');
?>